From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/typhoeus/
Date: Sun, 24 Dec 2023 08:19:36 +0000 (UTC) [thread overview]
Message-ID: <1703405935.2f4cfa90f6dcaeb6fbaa983ae3ac399595af6dee.graaff@gentoo> (raw)
commit: 2f4cfa90f6dcaeb6fbaa983ae3ac399595af6dee
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 24 08:18:55 2023 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Dec 24 08:18:55 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2f4cfa90
dev-ruby/typhoeus: add 1.4.1
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/typhoeus/Manifest | 1 +
dev-ruby/typhoeus/typhoeus-1.4.1.ebuild | 46 +++++++++++++++++++++++++++++++++
2 files changed, 47 insertions(+)
diff --git a/dev-ruby/typhoeus/Manifest b/dev-ruby/typhoeus/Manifest
index 9dde4234ab8e..d1228d3ae5f3 100644
--- a/dev-ruby/typhoeus/Manifest
+++ b/dev-ruby/typhoeus/Manifest
@@ -1 +1,2 @@
DIST typhoeus-1.4.0.gem 56832 BLAKE2B 1f188a2c174a9d0e2cc0afc10f96d98a8c78278c1fa53eeb88da6f4f3986c8e204171a9bb817c95a217360346bda319711e7c89095ad48e878cbc3efc21e9887 SHA512 f48a99fd554f4d06d37a0a804ee79dd8423d9bff765394537ab0edba615e132d25660a6eb455e8628f59bd56c7ea26f4a195827d5287a53e58e3aeb394477284
+DIST typhoeus-1.4.1.gem 57856 BLAKE2B a1562bcaa8a824d40184b043b85f87475f3d31e6488f5bb87d84b9b37933c3fa090cee5a9b2f4910b31c61d2642ad338b321bb741c33713cd43f8cfd77a842e3 SHA512 2970793dfa94a80abf140779a148d9b8d6ab212ca0072c5353b8d158cc625e023e4c7a28ae8471d18ae3bd8cde46f31aae54bbf7a3fde33e980b533af0f81578
diff --git a/dev-ruby/typhoeus/typhoeus-1.4.1.ebuild b/dev-ruby/typhoeus/typhoeus-1.4.1.ebuild
new file mode 100644
index 000000000000..a8eebf9e4fa7
--- /dev/null
+++ b/dev-ruby/typhoeus/typhoeus-1.4.1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md UPGRADE.md"
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Runs HTTP requests in parallel while cleanly encapsulating handling logic"
+HOMEPAGE="https://rubygems.org/gems/typhoeus/
+ https://github.com/typhoeus/typhoeus"
+
+LICENSE="MIT"
+SLOT="1"
+KEYWORDS="~amd64"
+IUSE=""
+
+# Tests fail with ethon-0.16.0
+# https://github.com/typhoeus/typhoeus/issues/710
+ruby_add_rdepend "<dev-ruby/ethon-0.16.0"
+
+ruby_add_bdepend "test? (
+ dev-ruby/json
+ dev-ruby/faraday:1
+ dev-ruby/rack:2.2
+ >=dev-ruby/sinatra-1.3
+ >=dev-ruby/redis-3.0
+ >=dev-ruby/dalli-2.7.9
+)"
+
+all_ruby_prepare() {
+ sed -e '/bundler/I s:^:#:' -i Rakefile spec/spec_helper.rb || die
+ sed -i -e '3igem "rack", "~> 2.2.0"; gem "faraday", "<2"; require "timeout"' spec/spec_helper.rb || die
+ sed -i -e '/Rack::Handler::WEBrick/ s/options/\*\*options/' spec/support/localhost_server.rb || die
+
+ # Avoid specs failing because default headers are provided or
+ # checked now, probably due to changes in either rack or webrick.
+ sed -e '/calls on_headers and on_\(body\|complete\)/ s/it/xit/' \
+ -i spec/typhoeus/request/operations_spec.rb || die
+}
next reply other threads:[~2023-12-24 8:19 UTC|newest]
Thread overview: 39+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-12-24 8:19 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-01 8:09 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/typhoeus/ Hans de Graaff
2024-02-20 5:53 Hans de Graaff
2024-02-18 6:59 Hans de Graaff
2023-01-10 6:40 Hans de Graaff
2023-01-10 6:40 Hans de Graaff
2022-12-24 6:35 Sam James
2022-12-24 6:35 Sam James
2022-12-24 6:35 Sam James
2022-12-03 7:13 Hans de Graaff
2022-07-30 8:22 Hans de Graaff
2022-03-20 10:04 Hans de Graaff
2021-12-26 17:52 Jakov Smolić
2020-05-10 5:50 Hans de Graaff
2020-05-09 9:20 Hans de Graaff
2020-05-09 9:20 Hans de Graaff
2019-04-11 17:46 Hans de Graaff
2019-02-16 23:52 Robin H. Johnson
2019-02-16 23:52 Robin H. Johnson
2018-11-13 5:34 Hans de Graaff
2018-06-30 9:56 Hans de Graaff
2018-04-19 19:53 Hans de Graaff
2018-04-19 19:53 Hans de Graaff
2018-03-27 21:38 Aaron Bauman
2017-08-22 4:09 Hans de Graaff
2017-03-05 8:42 Hans de Graaff
2017-03-05 8:42 Hans de Graaff
2017-03-05 8:42 Hans de Graaff
2016-12-13 6:35 Hans de Graaff
2016-12-13 6:35 Hans de Graaff
2016-08-05 15:19 Christoph Junghans
2016-07-24 6:42 Hans de Graaff
2016-04-30 5:36 Hans de Graaff
2016-04-30 5:36 Hans de Graaff
2016-04-17 10:38 Manuel Rüger
2016-02-28 6:23 Hans de Graaff
2015-10-14 5:13 Hans de Graaff
2015-10-14 5:13 Hans de Graaff
2015-08-09 5:51 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1703405935.2f4cfa90f6dcaeb6fbaa983ae3ac399595af6dee.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox